{% extends 'base.html.twig' %}

{% block title %}New Produit{% endblock %}

{% block body %}

    <h1 class="text-4xl tracking-tight font-extrabold text-gray-900 pb-6 sm:text-5xl md:text-6xl">
        <span>Nouveau Produit</span>
    </h1>

    <a href="{{ path('produit_index') }}" class="text-gray-700 hover:text-gray-900 font-bold pb-10"><i class="fas fa-chevron-left"></i> Retour</a>


    <form method="post" class="mt-5">

        <label for="produit_titre" class="text-xl">Titre</label>
        <input type="text" name="produit[titre]" id="produit_titre" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8 mb-8" required>
        <label for="produit_idCategorie" class="text-xl">Catégorie</label>
        {{ form_widget(form.idCategorie, {'attr': {'class': 'border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-96 focus:outline-none mr-8 mb-8'} }) }}
        <br>
        <label for="produit_description" class="text-xl">Description</label>
        <textarea type="text" name="produit[description]" id="produit_description" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-full focus:outline-none mr-8 mb-8" required></textarea>
        <br>
        <label for="produit_volume" class="text-xl">Volume</label>
        <input type="text" name="produit[volume]" id="produit_volume" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8 mb-8" required>
        <label for="produit_estimation" class="text-xl">Estimation</label>
        <input type="number" name="produit[estimation]" id="produit_estimation" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg w-64 focus:bg-gray-50 focus:outline-none mr-8 mb-8" required autofocus>
        <label for="produit_poids" class="text-xl">Poids</label>
        <input type="text" name="produit[poids]" id="produit_poids" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8 mb-8" required>
        <br>
        <label for="produit_materiau" class="text-xl">Materiaux</label>
        <input type="text" name="produit[materiau]" id="produit_materiau" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-96 focus:outline-none mr-8 mb-8" required>
        <label for="produit_idLieu" class="text-xl">Lieu de stockage</label>
        {{ form_widget(form.idLieu, {'attr': {'class': 'border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-96 focus:outline-none mr-8 mb-8'} }) }}
        {{ form_row(form._token) }}
        <br>
        <label for="produit_idVendeur" class="required hidden">Id vendeur</label>
        <select id="produit_idVendeur" class="hidden" name="produit[idVendeur]"><option value="{{ app.user.id }}">Current user</option></select>
        <br>
        <button class="bg-yellow-400 px-5 mt-10 py-3 mr-4 rounded" type="submit">
            Enregistrer
        </button>
    </form>
{% endblock %}
